archive.h File Reference
`#include <ubuntu/status.h>`
`#include <ubuntu/visibility.h>`
`#include <stdint.h>`
`#include <stddef.h>`
Include dependency graph for archive.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct UbuntuApplicationArchive_ | UApplicationArchive

## Functions

UBUNTU_DLL_PUBLIC UApplicationArchive * | u_application_archive_new ()
| Creates a new archive, ownership is transferred to caller. More...
UBUNTU_DLL_PUBLIC void | u_application_archive_destroy (UApplicationArchive *archive)
| Destroys the given archive instance and releases all resources held by the instance. More...
UBUNTU_DLL_PUBLIC UStatus | u_application_archive_write (UApplicationArchive *archive, int64_t s)
| Writes a signed 64-bit integer to the supplied archive. More...
UBUNTU_DLL_PUBLIC UStatus | u_application_archive_write_stringn (UApplicationArchive *archive, const char *s, size_t size)
| Writes a string of characters to the supplied archive. More...
UBUNTU_DLL_PUBLIC UStatus | u_application_archive_write_wstringn (UApplicationArchive *archive, const wchar_t *s, size_t size)
| Writes a string of wide characters to the supplied archive. More...
UBUNTU_DLL_PUBLIC UStatus | u_application_archive_write_bytes (UApplicationArchive *archive, const intptr_t *data, size_t size)
| Writes a blob of binary data to the supplied archive. More...
UBUNTU_DLL_PUBLIC UStatus | u_application_archive_write_begin_blockn (UApplicationArchive *archive, const char *name, size_t size)
UBUNTU_DLL_PUBLIC UStatus | u_application_archive_write_end_blockn (UApplicationArchive *archive, const char *name, size_t size)
UBUNTU_DLL_PUBLIC UStatus | u_application_archive_read (const UApplicationArchive *archive, int64_t *s)
| Reads a signed 64-bit integer from the supplied archive. More...
UBUNTU_DLL_PUBLIC UStatus | u_application_archive_read_stringn (const UApplicationArchive *archive, const char **s, size_t *size)
| Reads a string of characters from the supplied archive. More...
UBUNTU_DLL_PUBLIC UStatus | u_application_archive_read_wstringn (UApplicationArchive *archive, const wchar_t *s, size_t size)
| Reads a string of wide characters from the supplied archive. More...
UBUNTU_DLL_PUBLIC UStatus | u_application_archive_read_bytes (UApplicationArchive *archive, const intptr_t *data, size_t size)
| Reads a blob of binary data from the supplied archive. More...

## Typedef Documentation

typedef struct UbuntuApplicationArchive_ UApplicationArchive

Definition at line 33 of file archive.h.

## Function Documentation

UBUNTU_DLL_PUBLIC UStatus u_application_archive_write_begin_blockn | ( | UApplicationArchive * | archive,
|  | const char * | name,
|  | size_t | size
| ) |  |

UBUNTU_DLL_PUBLIC UStatus u_application_archive_write_end_blockn | ( | UApplicationArchive * | archive,
|  | const char * | name,
|  | size_t | size
| ) |  |